Package org.springframework.security.web.server.authorization

# Class DelegatingReactiveAuthorizationManager.Builder

java.lang.Object
org.springframework.security.web.server.authorization.DelegatingReactiveAuthorizationManager.Builder

Enclosing class:
  DelegatingReactiveAuthorizationManager

public static final class DelegatingReactiveAuthorizationManager.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`DelegatingReactiveAuthorizationManager.Builder`
`add(ServerWebExchangeMatcherEntry<org.springframework.security.authorization.ReactiveAuthorizationManager<AuthorizationContext>> entry)`
`DelegatingReactiveAuthorizationManager`
`build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public DelegatingReactiveAuthorizationManager.Builder add(ServerWebExchangeMatcherEntry<org.springframework.security.authorization.ReactiveAuthorizationManager<AuthorizationContext>> entry)

### build

public DelegatingReactiveAuthorizationManager build()